-- 2024-12-03 14:30
-- v1.3.6

use tuoheng_freeway;

-- 用户授权表
create table th_user_authorize
(
    id           varchar(36)                  not null comment 'ID' primary key,
    user_id      varchar(36)                  null comment '用户id',
    open_id      varchar(150)     default ''  not null comment '授权openid',
    access_token varchar(500)     default ''  null comment 'accesstoken值',
    create_user  varchar(36)      default '0' null comment '添加人',
    union_id     varchar(150)                 null comment '唯一标识',
    create_time  datetime                     null comment '创建时间',
    update_user  varchar(36)      default '0' null comment '更新人',
    update_time  datetime                     null comment '更新时间',
    mark         tinyint unsigned default '1' not null comment '有效标识'
) comment '用户授权表';

-- 用户表
alter table tuoheng_freeway.th_user add authorize tinyint(1) default 1 not null comment '授权标识:1未授权 2授权' after status;
alter table tuoheng_freeway.th_user add subscribe_times tinyint(1) default 1 not null comment '订阅次数 1：订阅一次 2非一次订阅' after authorize;
